summaryrefslogtreecommitdiff
path: root/extra/gstreamer0.10-base
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/gstreamer0.10-base
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/gstreamer0.10-base')
-rw-r--r--extra/gstreamer0.10-base/PKGBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/extra/gstreamer0.10-base/PKGBUILD b/extra/gstreamer0.10-base/PKGBUILD
new file mode 100644
index 000000000..ff6f6b65a
--- /dev/null
+++ b/extra/gstreamer0.10-base/PKGBUILD
@@ -0,0 +1,48 @@
+# $Id: PKGBUILD 117562 2011-04-04 10:54:18Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+
+pkgbase=('gstreamer0.10-base')
+pkgname=('gstreamer0.10-base' 'gstreamer0.10-base-plugins')
+pkgver=0.10.32
+pkgrel=4
+arch=('i686' 'x86_64')
+license=('LGPL')
+makedepends=('pkgconfig' 'gstreamer0.10>=0.10.32' 'orc' 'libxv' 'alsa-lib' 'cdparanoia' 'libvisual' 'libvorbis' 'libtheora' 'pango' 'udev' 'gobject-introspection')
+options=(!libtool !emptydirs)
+url="http://gstreamer.freedesktop.org/"
+source=(${url}/src/gst-plugins-base/gst-plugins-base-${pkgver}.tar.bz2)
+md5sums=('2920af2b3162f3d9fbaa7fabc8ed4d38')
+
+build() {
+ cd "${srcdir}/gst-plugins-base-${pkgver}"
+ sed -i '/AC_PATH_XTRA/d' configure.ac
+ autoreconf
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+ --disable-static --enable-experimental --disable-gnome_vfs \
+ --with-package-name="GStreamer Base Plugins (Archlinux)" \
+ --with-package-origin="http://www.archlinux.org/"
+
+ make || return 1
+ sed -e 's/^SUBDIRS_EXT =.*/SUBDIRS_EXT =/' -i Makefile
+}
+
+package_gstreamer0.10-base() {
+ pkgdesc="GStreamer Multimedia Framework Base plugin libraries"
+ depends=('gstreamer0.10>=0.10.32' 'orc' 'libxv' 'udev')
+
+ cd "${srcdir}/gst-plugins-base-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+}
+
+package_gstreamer0.10-base-plugins() {
+ pkgdesc="GStreamer Multimedia Framework Base Plugins (gst-plugins-base)"
+ depends=("gstreamer0.10-base=${pkgver}" 'alsa-lib' 'cdparanoia' 'libvisual' 'libvorbis' 'libtheora' 'pango')
+ replaces=('gstreamer0.10-alsa' 'gstreamer0.10-theora' 'gstreamer0.10-libvisual' 'gstreamer0.10-pango' 'gstreamer0.10-cdparanoia' 'gstreamer0.10-vorbis' 'gstreamer0.10-ogg')
+ conflicts=('gstreamer0.10-alsa' 'gstreamer0.10-theora' 'gstreamer0.10-libvisual' 'gstreamer0.10-pango' 'gstreamer0.10-cdparanoia' 'gstreamer0.10-vorbis' 'gstreamer0.10-ogg')
+ groups=('gstreamer0.10-plugins')
+
+ cd "${srcdir}/gst-plugins-base-${pkgver}"
+ make -C gst-libs DESTDIR="${pkgdir}" install
+ make -C ext DESTDIR="${pkgdir}" install
+ make -C gst-libs DESTDIR="${pkgdir}" uninstall
+}